Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2110 - XFree86-3.3.3.1-40 fails to start
Summary: XFree86-3.3.3.1-40 fails to start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-10 10:06 UTC by Pekka Pietikäinen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-11 21:15:35 UTC


Attachments (Terms of Use)

Description Pekka Pietikäinen 1999-04-10 10:06:23 UTC
When attempting to start XFree86-3.3.3.1-40 I get the following
message from Xwrapper

connecting# startx

Authentication failed

(all packages including pam have been upgraded to 5.9.7b)

Comment 1 Pekka Pietikäinen 1999-04-10 10:14:59 UTC
fixed by renaming /etc/pam.d/X to /etc/pamd/x and adding
a /etc/security/console.apps/x

Comment 2 Theodore Tso 1999-04-10 14:04:59 UTC
I ran into this problem as well.  It's caused by Xwrapper looking
for /etc/pam.d/x and not finding it because the file which was
installed is /etc/pam.d/X (note upper csae versus lower case).

A workaround isto install a symlink /etc/pam.d/x -> X
now you will be able to run startx as root, but attempts to run startx
as non-rooto will still file, because apparently pam_console.so isn't
working.  (I will file a separate bug report for that.)  Workaround
for this problem is to insert a line in /etc/pam.d/X which reads:

auth sufficient /lib/security/pam_permit.so

Comment 3 Theodore Tso 1999-04-10 14:24:59 UTC
See bug #2114 for more info about the pam_console problem

Comment 4 Pekka Pietikäinen 1999-04-10 14:35:59 UTC
Actually touch /etc/security/console.apps/x makes it work
even for normal users. If I understood correctly, everything
pam_console handles needs to have an entry in that directory.

Comment 5 Michael K. Johnson 1999-04-11 21:15:59 UTC
Fixed in -41 -- -40 was only meant for our internal testing of
this new functionality.  "xserver" is the new service name.  I
simply forgot that PAM lowercased everything and forgot to add
the console.perms file.


Note You need to log in before you can comment on or make changes to this bug.